import { Binding, Component, ControllerClass, ProviderMap } from '@loopback/core';
import { Class, Model, Repository } from '@loopback/repository';
import { RestApplication } from '@loopback/rest';
import { IToggleServiceConfig } from './types';
export declare class FeatureToggleServiceComponent implements Component {
    private readonly application;
    private readonly config?;
    constructor(application: RestApplication, config?: IToggleServiceConfig | undefined);
    providers?: ProviderMap;
    bindings?: Binding[];
    /**
     * An optional list of Repository classes to bind for dependency injection
     * via `app.repository()` API.
     */
    repositories?: Class<Repository<Model>>[];
    /**
     * An optional list of Model classes to bind for dependency injection
     * via `app.model()` API.
     */
    models?: Class<Model>[];
    /**
     * An array of controller classes
     */
    controllers?: ControllerClass[];
    setupSequence(): void;
}
