import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { FeatureValues } from '../models';
import { FeatureValuesRepository } from '../repositories';
export declare class FeatureValuesController {
    featureValuesRepository: FeatureValuesRepository;
    constructor(featureValuesRepository: FeatureValuesRepository);
    create(featureValues: FeatureValues): Promise<FeatureValues>;
    count(where?: Where<FeatureValues>): Promise<Count>;
    find(filter?: Filter<FeatureValues>): Promise<FeatureValues[]>;
    updateAll(featureValues: FeatureValues, where?: Where<FeatureValues>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<FeatureValues>): Promise<FeatureValues>;
    updateById(id: string, featureValues: FeatureValues): Promise<void>;
    replaceById(id: string, featureValues: FeatureValues): Promise<void>;
    deleteById(id: string): Promise<void>;
}
