import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Feature } from '../models';
import { FeatureRepository } from '../repositories';
export declare class FeatureController {
    featureRepository: FeatureRepository;
    constructor(featureRepository: FeatureRepository);
    create(feature: Feature): Promise<Feature>;
    count(where?: Where<Feature>): Promise<Count>;
    find(filter?: Filter<Feature>): Promise<Feature[]>;
    updateAll(feature: Feature, where?: Where<Feature>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<Feature>): Promise<Feature>;
    updateById(id: string, feature: Feature): Promise<void>;
    replaceById(id: string, feature: Feature): Promise<void>;
    deleteById(id: string): Promise<void>;
}
